import { BaseProvider } from '#templates/base/provider';
import { UserPasswordHistory } from '#models/UserPasswordHistory';

export class UserPasswordHistoryProvider extends BaseProvider<UserPasswordHistory> {
	public static instance: UserPasswordHistoryProvider;

	public static getInstance(): UserPasswordHistoryProvider {
		UserPasswordHistoryProvider.instance ??= new UserPasswordHistoryProvider();
		return UserPasswordHistoryProvider.instance;
	}

	public static get model() {
		return UserPasswordHistory;
	}

	constructor() {
		super('UserPasswordHistory');
	}
}
